Subject: Re: OSPFv3 Extension Future Direction (this ought to get your attention)

From: Pyda Srisuresh <[email-masked]>
Date: Fri, 25 Mar 2005 06:15:11 -0800

--- Acee Lindem <[email-masked]> wrote:
> Pyda Srisuresh wrote:
> 
> >Acee,
> >
> >I had done some work previously on using new LSAs for advertising topology
> and
> >prefix info into TE networks (draft-srisuresh-ospf-te-07.txt). This draft
> can
> >be a good starting point to use for turning into future MT extensions to
> >OSPFv3. 
> >  
> >
> Hi Pyda,
> I don't see a requirement to mix TE data and the unicast/multicast 
> topology information. This has traditionally
> been separate and processed by different functional components. The new 
> LSAs in our draft correspond
> directly to the existing base LSA types (only they are in extendible TLV 
> format and support multiple
> topologies).
> 
[suresh] Acee - I am referign to usign the srisuresh-ospf-te draft as a basis
to make MT extensions. Specifically, the suggestion is to add new LSA types
with MT protocol extensions. And, the new LSA types could have topology
specific TLVs. The LSAs may be restricted to being advertised within the
topology boundary.

cheers,
suresh

> Thanks,
> Acee
> 
> >I have not been active on this work recently due to my work priorities.
> >However, if there are folks on the list interested in pursuing, I would  be
> >happy to work with you on the effort and discussion. 
> >
> >Thanks.
> >
> >cheers,
> >suresh 
> > 
> >--- Acee Lindem <[email-masked]> wrote:
> >  
> >
> >>Content-Type: text/plain; charset=ISO-8859-1; format=flowed
> >>Content-Transfer-Encoding: 7bit
> >>
> >>At the Minneapolis IETF, I presented a comparision of  the
> >>various options we have for extending OSPFv3. The reaction to the
> >>presentation was very positive. However, it was last on the agenda and
> >>the OSPF WG coincided with other WGs (most notably L2VPN).
> >>
> >>At this point, I would like to initiate more discussion. The basic
> >>question is whether we go with a TLV based approach or continue
> >>to add new LSAs which need to be synchronized with the LSAs
> >>advertising topology and prefix information. A TLV based approach
> >>is described in:
> >>
> >>http://www.ietf.org/internet-drafts/draft-mirtorabi-mt-ospfv3-01.txt
> >>
> >>The crux of my presentation would be that this is gives us the powerful
> >>extension capability while still allowing us to advertise information that
> >>does not need to be synchronized in separate LSAs.
> >>
> >>Thanks,
> >>Acee
> >>
> >>    
> >>
> >
> >  
> >
>

---

From: Acee Lindem <[email-masked]>
Date: Mon, 28 Mar 2005 19:18:52 -0500

>specific TLVs. The LSAs may be restricted to being advertised within the
Pyda,

I took another look at your draft and don't see a good reason to use it 
as a starting point
for OSPFv3 extension including MTR and AFs:

   1. It is targeted at TE extensions
   2. It is based on OSPFv2
   3. It doesn't specify the changes needed to base OSPFv3 needed to 
support it.
   4. To the best of my knowledge, there is not a large base of 
deployments or even
       implementations that would benefit from using it as a base.

Thanks,
Acee